#pragma once

#include <IInputComponent.h>
#include <iostream>
#include <InputEnums.h>

class Player;

class PlayerInputComponent : public IInputComponent
{
	Player& PlayerCharacter;
	float lastX = 1600 / 2.0f;
	float lastY = 900 / 2.0f;
	bool bFirstMouse = true;
	bool bFreeMouse = false;

public:
	PlayerInputComponent(GLFWwindow* Window, Player& PlayerCharacter);
	void Update(float DeltaTime) override;
	void ProcessKeyboard(float DeltaTime);
	static void ProcessMouse(GLFWwindow* Window, double xposIn, double yposIn);
};
